Package: org.gradle.api.artifacts

## [Java] Interface ModuleVersionSelector

- Selects a module version

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getGroup()` The group of the module.
    `String` | `getName()` The name of the module.
    `String` | `getVersion()` The version of the module
    `boolean` | `matchesStrictly(ModuleVersionIdentifier identifier)` To match strictly means that the given identifier needs to have equal group, module name and version.

- - ### Method Detail

    - #### public String getGroup()

      The group of the module.

      Returns:
        module group

    - #### public String getName()

      The name of the module.

      Returns:
        module name

    - #### public String getVersion()

      The version of the module

      Returns:
        module version

    - #### @Incubating public boolean matchesStrictly(ModuleVersionIdentifier identifier)

      To match strictly means that the given identifier needs to have equal group, module name and version. It does not smartly match dynamic versions, e.g. '1.+' selector does not strictly match '1.2' identifier.

      Returns:
        if this selector matches exactly the given identifier.